## gate.gui
Class ApplicationEditor.ParameterDisjunctionEditor

    java.lang.Object
      |
      +--javax.swing.AbstractCellEditor
            |
            +--javax.swing.DefaultCellEditor
                  |
                  +--gate.gui.ApplicationEditor.ParameterDisjunctionEditor

All Implemented Interfaces:
  CellEditor, Serializable, TableCellEditor, TreeCellEditor

Enclosing class:
  ApplicationEditor

class ApplicationEditor.ParameterDisjunctionEditor
extends DefaultCellEditor

See Also:
  Serialized Form

Inner Class Summary
`(package private) class` `ApplicationEditor.ParameterDisjunctionEditor.CustomRenderer`

Inner classes inherited from class javax.swing.DefaultCellEditor
`DefaultCellEditor.EditorDelegate`

Field Summary
`(package private) JComboBox` `combo`
`(package private) ApplicationEditor.ParameterDisjunction` `pDisj`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`ApplicationEditor.ParameterDisjunctionEditor()`

Method Summary
`Object` `getCellEditorValue()`
`Component` `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getClickCountToStart, getComponent, getTableCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, removeCellEditorListener`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Field Detail

### combo

    JComboBox combo

### pDisj

    ApplicationEditor.ParameterDisjunction pDisj

Constructor Detail

### ApplicationEditor.ParameterDisjunctionEditor

    public ApplicationEditor.ParameterDisjunctionEditor()

Method Detail

### getTreeCellEditorComponent

    public Component getTreeCellEditorComponent(JTree tree,
                                                Object value,
                                                boolean isSelected,
                                                boolean expanded,
                                                boolean leaf,
                                                int row)

  Overrides:
    `getTreeCellEditorComponent` in class `DefaultCellEditor`

### getCellEditorValue

    public Object getCellEditorValue()

  Overrides:
    `getCellEditorValue` in class `DefaultCellEditor`